import grpc

import numpy as np

from timeit import default_timer as timer

#import the generated classes 
import model_pb2
import model_pb2_grpc

start_ch=timer()
#port_addr = 'localhost:8061'
#open a grpc channel 
#channel=grpc.insecure_channnel(port_addr) 

#channel=grpc.insecure_channel('localhost:50051')

channel=grpc.insecure_channel('localhost:50051', options=(('grpc.enable_http_proxy', 0),))
#create a stub (client)
stub = model_pb2_grpc.PredictStub(channel) 
end_ch = timer() 

print("please enter a S2 NDVI value, the model would rectify it.")
test=np.array(float(input()))
S2_NDVI = test.reshape(1,-1)

 
start = timer() 
#for i in range(0,len(S2_NDVI)-1) :
requestPrediction =model_pb2.Features(S2_NDVI = S2_NDVI)
	#make the call 
responsePrediction = stub.predict_correct_S2_NDVI(requestPrediction) 
    #ans_lst.append(responsePrediction.Corrected_S2_NDVI)
print('The corrected NDVI is : ', responsePrediction.Corrected_S2_NDVI)
print("done!") 
end=timer()
all_time =end -start 
ch_time = end_ch -start_ch 
print('Time for connecting to server = {} '.format(ch_time))
