import grpc
from concurrent import futures
import time

#import the generated classes: 
import model_pb2
import model_pb2_grpc

#import the function we made: 
import predict_correct_S2_NDVI as prn
port=50051

#creat a class to define the server functions, derived from 





class PredictServicer(model_pb2_grpc.PredictServicer): 
	def predict_correct_S2_NDVI(self, request, context):
	    #define the buffer of the response:
         response= model_pb2.Prediction()
         print("function: predict_Correct_S2_NDVI")
	    # get the value of the response by calling the desired function
         response.Corrected_S2_NDVI = prn.predict_correct_S2_NDVI(request.S2_NDVI)
         #response.Corrected_S2_NDVI = request.S2_NDVI
         return response
		
#create a grpc server: 
#server=grpc.server(futures.ThreadPoolExecutor(max_workers=10))

#model_pb2_grpc.add_PredictServicer_to_server(PredictServicer(),server)

#print("starting server. Listening on port : " +str(port))
#server.add_insecure_port("[::]:{}".format(port))
#server.start()


def serve():
    print("server started")
    server = grpc.server(futures.ThreadPoolExecutor(max_workers=10))
    model_pb2_grpc.add_PredictServicer_to_server(PredictServicer(),server)
    server.add_insecure_port('[::]:50051')
    server.start()
    server.wait_for_termination()


#if __name__ == '__main__':
    #logging.basicConfig()
serve()    
